=== opennms-container/core/Makefile ===
##
# Makefile to build Horizon container image with Docker
##

CONTAINER_TYPE_FRIENDLY := Horizon
DOCKER_PROJECT          := horizon
TARBALL                 := ../../opennms-full-assembly/target/*-core.tar.gz

include ../common.mk
