=== opennms-container/minion/Makefile ===
##
# Makefile to build Minion container image with Docker
##

CONTAINER_TYPE_FRIENDLY := Minion
DOCKER_PROJECT          := minion
TARBALL                 := ../../opennms-assemblies/minion/target/*minion*.tar.gz
TAR_STRIP_COMPONENTS    := 1
ADDITIONAL_TARGETS      := minion-config-schema.yml

include ../common.mk
