=== opennms-container/sentinel/Makefile ===
##
# Makefile to build Sentinel container image with Docker
##

CONTAINER_TYPE_FRIENDLY := Sentinel
DOCKER_PROJECT          := sentinel
TARBALL                 := ../../opennms-assemblies/sentinel/target/*sentinel*.tar.gz
TAR_STRIP_COMPONENTS    := 1

include ../common.mk
