=== opennms-assemblies/sentinel/src/main/filtered/debian/changelog ===
opennms-sentinel (34.1.0-1) stable; urgency=low

  * Release 34.1.0 contains a couple of bug fixes, enhancements and documentation updates.
    Starting with this release when upgrading OpenNMS, `custom.properties`, 
    `config.properties` and `opennms.properties` files will be overridden.

    For details on what has changed, see:
    https://docs.opennms.com/horizon/34.1.0/index.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Tue, 11 Nov 2025 10:20:09 -0500

opennms-sentinel (34.0.2-1) stable; urgency=low

  * Release 34.0.2 contains a couple of bug fixes, enhancements and a new feature.

    For details on what has changed, see:
    https://docs.opennms.com/horizon/34.0.2/index.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Tue, 07 Oct 2025 13:49:36 -0400

opennms-sentinel (34.0.1-1) stable; urgency=low

  * Release 34.0.1 contains bug fixes, enhancements and a new feature.

    For details on what has changed, see:
    https://docs.opennms.com/horizon/34.0.1/index.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Tue, 10 Sep 2025 13:20:00 -0500

opennms-sentinel (34.0.0-1) stable; urgency=low

  * Release 34.0.0 contains a bunch of changes, including menu improvments,
    updates to structured node list, IPFix support and more.

    For details on what has changed, see:
    https://docs.opennms.com/horizon/34.0.0/index.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Tue, 12 Aug 2025 13:20:00 -0500

opennms-sentinel (33.1.8-1) stable; urgency=medium

  * Release 33.1.8 contains bug fixes, security updates and enhancements.
    
    For details on what has changed, see:
    https://docs.opennms.com/horizon/33.1.8/index.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Tue, 8 Jul 2025 14:11:00 -0500

opennms-sentinel (33.1.7-1) stable; urgency=medium

  * Release 33.1.7 contains bug fixes, security updates and enhancements.
    
    For details on what has changed, see:
    https://docs.opennms.com/horizon/33.1.7/index.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Tue, 10 Jun 2025 14:11:00 -0500

opennms-sentinel (33.1.6-1) stable; urgency=medium

  * Release 33.1.6 contains bug fixes, security updates and enhancements.
    
    For details on what has changed, see:
    https://docs.opennms.com/horizon/33.1.6/index.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Tue, 14 May 2025 14:11:00 -0500
 
 opennms-sentinel (33.1.5-1) stable; urgency=medium

  * Release 33.1.5 contains bug fixes, security updates and enhancements.
    
    For details on what has changed, see:
    https://docs.opennms.com/horizon/33.1.5/index.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Tue, 8 Apr 2025 14:11:00 -0500

opennms-sentinel (33.1.4-1) stable; urgency=medium
  
  * Release 33.1.4 contains bug fixes, security updates and enhancements.
    
    For details on what has changed, see:
    https://docs.opennms.com/horizon/33.1.4/index.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Tue, 12 Mar 2025 14:10:00 -0500

opennms-sentinel (33.1.3-1) stable; urgency=medium
  
  * Release 33.1.3 contains a couple of bug fixes and few enhancements.
    
    For details on what has changed, see:
    https://docs.opennms.com/horizon/33.1.3/index.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Tue, 11 Feb 2025 14:10:00 -0500

opennms-sentinel (33.1.2-1) stable; urgency=medium
  
  * Release 33.1.2 contains a bug fix and a new feature.
    
    For details on what has changed, see:
    https://docs.opennms.com/horizon/33.1.2/index.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Tue, 07 Jan 2024 10:30:00 -0500

opennms-sentinel (33.1.1-1) stable; urgency=medium
  
  * Release 33.1.1 contains bug fixes, security updates and new features.
    
    For details on what has changed, see:
    https://docs.opennms.com/horizon/33.1.1/index.html
 
 -- OpenNMS Release Manager <opennms@opennms.org>  Tue, 10 Dec 2024 14:30:00 -0500

opennms-sentinel (33.0.10-1) stable; urgency=medium
  
  * Release 33.0.10 contains a bunch of security updates, bug fix and enhancements.
    
    For details on what has changed, see:
    https://docs.opennms.com/horizon/33.0.10/index.html
 
 -- OpenNMS Release Manager <opennms@opennms.org>  Tue, 12 Nov 2024 15:57:00 -0500

opennms-sentinel (33.0.9-1) stable; urgency=medium
  
  * Release 33.0.9 contains a bunch of security updates, bug fix and an enhancement.
    
    For details on what has changed, see:
    https://docs.opennms.com/horizon/33.0.9/index.html
 
 -- OpenNMS Release Manager <opennms@opennms.org>  Tue, 08 Oct 2024 10:24:00 -0500

opennms-sentinel (33.0.8-1) stable; urgency=medium
  
  * Release 33.0.8 contains a bunch of bug fixes and an enhancement.
    
    For details on what has changed, see:
    https://docs.opennms.com/horizon/33.0.8/index.html
 
 -- OpenNMS Release Manager <opennms@opennms.org>  Tue, 10 Sep 2024 15:05:00 -0500

opennms-sentinel (33.0.7-1) stable; urgency=medium
  
  * Release 33.0.7 contains a bunch of security updates.
    
    For details on what has changed, see:
    https://docs.opennms.com/horizon/33.0.7/index.html
 
 -- OpenNMS Release Manager <opennms@opennms.org>  Tue, 13 Aug 2024 16:54:00 -0500

opennms-sentinel (33.0.6-1) stable; urgency=medium
  
  * Release 33.0.6 contains a couple of bug fixes and an enhancement.
    
    For details on what has changed, see:
    https://docs.opennms.com/horizon/33.0.6/index.html
 
 -- OpenNMS Release Manager <opennms@opennms.org>  Tue, 09 Jul 2024 16:54:00 -0500

opennms-sentinel (33.0.5-1) stable; urgency=medium
  
  * Release 33.0.5 contains a bug fix and an enhancement.
    
    For details on what has changed, see:
    https://docs.opennms.com/horizon/33.0.5/index.html
 
 -- OpenNMS Release Manager <opennms@opennms.org>  Tue, 17 Jun 2024 10:21:00 -0500

opennms-sentinel (33.0.4-1) stable; urgency=medium
  
  * Release 33.0.4 contains a bunch of bug fixes and enhancements.
    

