=== debian/control ===
Source: opennms
Section: contrib/net
Priority: optional
Maintainer: Benjamin Reed <ranger@opennms.org>
Build-Depends: oracle-java17-installer | jdk-17 | adoptopenjdk-17-openj9xl | adoptopenjdk-17-openj9 | adoptopenjdk-17-hotspot | openjdk-17-jdk-headless | openjdk-17-jdk | java17-jdk | temurin-17-jdk, debhelper (>= 5.0.42), dpkg-dev, po-debconf (>= 1.0.5), rsync
Standards-Version: 3.7.3

Package: opennms
Architecture: all
Depends: opennms-common (=${binary:Version}), opennms-db (=${binary:Version}), opennms-server (=${binary:Version}), opennms-webapp-jetty (=${binary:Version})
Recommends: opennms-source (=${binary:Version}), jdk-17 | openjdk-17-jdk-headless | openjdk-17-jdk | adoptopenjdk-17-openj9xl | adoptopenjdk-17-openj9 | adoptopenjdk-17-hotspot | java17-jdk
Suggests: opennms-doc
Description: Enterprise-grade Open-source Network Management Platform (Full Install)
 OpenNMS is an enterprise-grade network management system written in Java.
 .
 OpenNMS can monitor various network services to determine status and service
 level availability.  Data collection is performed using protocols such as SNMP
 to generate reports and alert on thresholds.  An extensible event management
 and notification system handles both internally and externally generated
 events (such as SNMP traps), and generates notices via email, pager, SMS, etc.
 .
 This package provides the components needed for a reasonable default
 installation of OpenNMS.

Package: opennms-source
Architecture: all
Depends: opennms-common (=${binary:Version}), opennms-webapp-jetty (=${binary:Version})
Description: Enterprise-grade Open-source Network Management Platform (Source)
 OpenNMS is an enterprise-grade network management system written in Java.
 .
 OpenNMS can monitor various network services to determine status and service
 level availability.  Data collection is performed using protocols such as SNMP
 to generate reports and alert on thresholds.  An extensible event management
 and notification system handles both internally and externally generated
 events (such as SNMP traps), and generates notices via email, pager, SMS, etc.
 .
 This package contains the source tarball to be installed alongside the web UI
 for AGPL-compliance.

Package: opennms-db
Architecture: all
Depends: opennms-common (=${binary:Version}), postgresql-15 | postgresql-14 | postgresql-13, iplike-pgsql15 (>= 2.3.0) | iplike-pgsql14 (>= 2.3.0) | iplike-pgsql13 (>= 2.3.0), debconf
Description: Enterprise-grade Open-source Network Management Platform (Database)
 OpenNMS is an enterprise-grade network management system written in Java.
 .
 OpenNMS can monitor various network services to determine status and service
 level availability.  Data collection is performed using protocols such as SNMP
 to generate reports and alert on thresholds.  An extensible event management
 and notification system handles both internally and externally generated
 events (such as SNMP traps), and generates notices via email, pager, SMS, etc.
 .
 This package provides the database components required by OpenNMS.
 .
 This package may be installed on a separate machine from the opennms-server
 package.

Package: opennms-server
Architecture: all
Depends: opennms-common (=${binary:Version}), libopennms-java (=${binary:Version}), libopennmsdeps-java (=${binary:Version}), mailx, jrrd2
Suggests: postgresql-client-15 | postgresql-client-14 | postgresql-client-13
Recommends: haveged
Description: Enterprise-grade Open-source Network Management Platform (Daemon)
 OpenNMS is an enterprise-grade network management system written in Java.
 .
 OpenNMS can monitor various network services to determine status and service
 level availability.  Data collection is performed using protocols such as SNMP
 to generate reports and alert on thresholds.  An extensible event management
 and notification system handles both internally and externally generated
 events (such as SNMP traps), and generates notices via email, pager, SMS, etc.
 .
 This package provides the OpenNMS backend daemon responsible for discovery,
 polling, data collection, notifications, etc (basically, anything that is not
 part of the web UI).

Package: opennms-jmx-config-generator
Architecture: all
Depends: opennms-common (=${binary:Version}), adoptopenjdk-17-openj9xl-jre | adoptopenjdk-17-openj9-jre | adoptopenjdk-17-hotspot-jre | openjdk-17-jre-headless | openjdk-17-jre | temurin-17-jdk | jdk-17
Description: Enterprise-grade Open-source Network Management Platform (JMX Config Generator)
 OpenNMS is an enterprise-grade network management system written in Java.
 .
 OpenNMS can monitor various network services to determine status and service
 level availability.  Data collection is performed using protocols such as SNMP
 to generate reports and alert on thresholds.  An extensible event management
 and notification system handles both internally and externally generated
 events (such as SNMP traps), and generates notices via email, pager, SMS, etc.
 .
 This is a utility for generating JMX configuration files.

Package: opennms-webapp-jetty
Architecture: all
Depends: opennms-server (=${binary:Version})
Conflicts: opennms-webapp
Description: Enterprise-grade Open-source Network Management Platform (Jetty Web UI)
 OpenNMS is an enterprise-grade network management system written in Java.
 .
 OpenNMS can monitor various network services to determine status and service
 level availability.  Data collection is performed using protocols such as SNMP
 to generate reports and alert on thresholds.  An extensible event management
 and notification system handles both internally and externally generated
 events (such as SNMP traps), and generates notices via email, pager, SMS, etc.
 .
 This package provides the Jetty version of the OpenNMS web UI, which runs
 embedded in the main OpenNMS daemon.  The default URL for this
 web UI is 'http://yourhost:8180/opennms/'

Package: opennms-webapp-hawtio
Architecture: all
Depends: opennms-server (=${binary:Version})
Description: Enterprise-grade Open-source Network Management Platform (Hawtio Console)
 OpenNMS is an enterprise-grade network management system written in Java.
 .
 OpenNMS can monitor various network services to determine status and service
 level availability.  Data collection is performed using protocols such as SNMP
 to generate reports and alert on thresholds.  An extensible event management
 and notification system handles both internally and externally generated
 events (such as SNMP traps), and generates notices via email, pager, SMS, etc.
 .
 This webapp contains the Hawtio console.

Package: opennms-common
Architecture: all
Depends: ${perl:Depends}, libdbi-perl, libdbd-pg-perl
Recommends: libnet-snmp-perl, libxml2-utils, libwww-perl, libxml-twig-perl
Conflicts: opennms-plugin-protocol-dhcp (<<${binary:Version}), opennms-plugin-protocol-xml (<<${binary:Version}), opennms-plugin-ticketing-otrs (<<${binary:Version}), opennms-plugin-ticketing-remedy (<<${binary:Version}), opennms-contrib (<<${binary:Version})
Replaces: opennms-plugin-protocol-dhcp (<<${binary:Version}), opennms-plugin-protocol-xml (<<${binary:Version}), opennms-plugin-provisioning-rancid (<<${binary:Version}), opennms-plugin-ticketing-otrs (<<${binary:Version}), opennms-plugin-ticketing-remedy (<<${binary:Version}), opennms-contrib (<<${binary:Version})
Breaks: opennms-plugin-provisioning-rancid (<<${binary:Version})
Provides: opennms-plugin-api (= OPA_VERSION)
Description: Enterprise-grade Open-source Network Management Platform (Common Files)
 OpenNMS is an enterprise-grade network management system written in Java.
 .
 OpenNMS can monitor various network services to determine status and service
 level availability.  Data collection is performed using protocols such as SNMP
 to generate reports and alert on thresholds.  An extensible event management
 and notification system handles both internally and externally generated
 events (such as SNMP traps), and generates notices via email, pager, SMS, etc.
 .
 This package provides the common files required by both the main OpenNMS daemon
 and the OpenNMS web UI.

Package: libopennms-java
Architecture: all
Depends: opennms-common (=${binary:Version}), jicmp (>= 3.0.0), jicmp6 (>= 3.0.0)
Conflicts: opennms-plugin-protocol-xml (<<${binary:Version})
Replaces: opennms-common (<< 1.3.0), libicmp-jni (<< 1.3.0), opennms-plugin-protocol-xml (<<${binary:Version})
Description: Enterprise-grade Open-source Network Management Platform (OpenNMS Libraries)
 OpenNMS is an enterprise-grade network management system written in Java.
 .
 OpenNMS can monitor various network services to determine status and service
 level availability.  Data collection is performed using protocols such as SNMP
 to generate reports and alert on thresholds.  An extensible event management
 and notification system handles both internally and externally generated
 events (such as SNMP traps), and generates notices via email, pager, SMS, etc.
 .
 This package provides the OpenNMS Java libraries.

Package: libopennmsdeps-java
Architecture: all
Depends: opennms-common (=${binary:Version})
Description: Enterprise-grade Open-source Network Management Platform (Required Libraries)
 OpenNMS is an enterprise-grade network management system written in Java.
 .
 OpenNMS can monitor various network services to determine status and service
 level availability.  Data collection is performed using protocols such as SNMP
 to generate reports and alert on thresholds.  An extensible event management
 and notification system handles both internally and externally generated
 events (such as SNMP traps), and generates notices via email, pager, SMS, etc.
 .
 This package provides the external Java libraries required by OpenNMS.

Package: opennms-doc
Section: contrib/doc
Architecture: all
Depends: opennms-common (=${binary:Version})
Description: Enterprise-grade Open-source Network Management Platform (Documentation)
 OpenNMS is an enterprise-grade network management system written in Java.
 .
 OpenNMS can monitor various network services to determine status and service
 level availability.  Data collection is performed using protocols such as SNMP
 to generate reports and alert on thresholds.  An extensible event management
 and notification system handles both internally and externally generated
 events (such as SNMP traps), and generates notices via email, pager, SMS, etc.
 .
 This package provides the user, administration, and programming documentation
 for OpenNMS.

Package: opennms-plugins
Architecture: all
Depends: opennms-plugin-northbounder-jms (=${binary:Version}), opennms-plugin-provisioning-dns (=${binary:Version}), opennms-plugin-provisioning-reverse-dns (=${binary:Version}), opennms-plugin-provisioning-snmp-asset (=${binary:Version}), opennms-plugin-provisioning-snmp-hardware-inventory (=${binary:Version}), opennms-plugin-provisioning-wsman-asset (=${binary:Version}), opennms-plugin-protocol-cifs (=${binary:Version}), opennms-plugin-protocol-nsclient (=${binary:Version}), opennms-plugin-protocol-radius (=${binary:Version}), opennms-plugin-collector-vtdxml-handler (=${binary:Version}), opennms-plugin-ticketer-jira (=${binary:Version}), opennms-plugin-ticketer-rt (=${binary:Version})
Description: Enterprise-grade Open-source Network Management Platform (All Plugins)
 OpenNMS is an enterprise-grade network management system written in Java.
 .
 OpenNMS can monitor various network services to determine status and service
 level availability.  Data collection is performed using protocols such as SNMP
 to generate reports and alert on thresholds.  An extensible event management
 and notification system handles both internally and externally generated
 events (such as SNMP traps), and generates notices via email, pager, SMS, etc.
 .
 This package installs all optional plugins for OpenNMS.

Package: opennms-plugin-northbounder-jms
Architecture: all
Depends: opennms-server (=${binary:Version})
