=== opennms-assemblies/minion/src/main/filtered/debian/control ===
Source: opennms-minion
Maintainer: Benjamin Reed <ranger@opennms.org>
Section: contrib/net
Priority: optional
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 9), dpkg-dev, oracle-java17-installer | jdk-17 | adoptopenjdk-17-openj9xl | adoptopenjdk-17-openj9 | adoptopenjdk-17-hotspot | openjdk-17-jdk-headless | openjdk-17-jdk | java17-jdk | temurin-17-jdk, rsync

Package: opennms-minion
Architecture: all
Depends: adduser, openssh-client, uuid-runtime, sudo
Recommends: openjdk-17-jre-headless | openjdk-17-jre | adoptopenjdk-17-openj9xl-jre | adoptopenjdk-17-openj9-jre | adoptopenjdk-17-hotspot-jre | temurin-17-jdk | jdk-17, jicmp (>= 2.0.0), jicmp6 (>= 2.0.0)
Conflicts: opennms-minion-container (<< 25.0.0), opennms-minion-features-core (<<25.0.0), opennms-minion-features-default (<<25.0.0)
Provides: opennms-plugin-api (= OPA_VERSION)
Description: distributed OpenNMS monitoring client
 OpenNMS Minion is a container infrastructure for distributed, scalable network
 management and monitoring.
 .
 http://www.opennms.org/wiki/Minion
