=== debian/rules ===
#!/usr/bin/make -f

# $Id$

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export SHELL=/bin/bash

export JAVA_HOME=$(shell core/cli/src/main/resources/bin/find-java.sh 1.8 1.9)

export OPTS_ASSEMBLIES=-Passemblies
export OPTS_PROFILES=-Prun-expensive-tasks

export BUILDDEFINES=\
	-Dopennms.home=/usr/share/opennms \
	-Denable.license=true \
	-Ddist.dir=$(CURDIR)/debian -Ddist.name=temp \
	-Dinstall.dir=/usr/share/opennms \
	-Dinstall.bin.dir=/usr/share/opennms/bin \
	-Dinstall.rrdtool.bin=/usr/bin/rrdtool \
	-Dinstall.share.dir=/var/lib/opennms \
	-Dinstall.servlet.dir=/usr/share/opennms/webapps \
	-Dinstall.webapps.dir=/usr/share/opennms/webapps \
	-Dinstall.logs.dir=/var/log/opennms \
	-Dinstall.pid.file=/var/run/opennms/opennms.pid \
	-Dmaven.test.skip.exec=true \
	-DskipTests=true \
	-DskipITs=true \
	-Dproduct.release=1 \
	-Dproduct.snapshot=true \
	-Daether.connector.basic.threads=1 \
	-Daether.connector.resumeDownloads=false \
	--builder smart \
	--threads $${CCI_MAXCPU:-2} \
	$(OPTS_PROFILES)

configure:

STAMP_BUILD = debian/stamp-build
build: configure $(STAMP_BUILD)
$(STAMP_BUILD):
	dh_testdir
	# -Duser.home=$(HOME) is needed to get maven to use the correct ~/.m2/ directory when being run with fakeroot
	@if [ -z "$$OPENNMS_SKIP_COMPILE" ] || [ "$$OPENNMS_SKIP_COMPILE" = 0 ]; then \
		./compile.pl $(shell debian/get-build-args.sh) $(BUILDDEFINES) -PskipCompile install; \
	fi
	./assemble.pl $(shell debian/get-build-args.sh) -Dbuild.profile=fulldir $(BUILDDEFINES) -PskipCompile install
	find debian/temp -type d -name .svn -exec rm -rf {} \;
	find debian/temp -type d -name .git -exec rm -rf {} \;
	touch $(STAMP_BUILD)

clean:
	dh_testdir
	dh_testroot
	./compile.pl $(OPTS_PROFILES) $(OPTS_ASSEMBLIES) -Duser.home=$(HOME) -Ddist.dir=$(CURDIR)/debian -Ddist.name=temp clean
	dh_clean
	rm -f $(STAMP_BUILD)

install: build
	dh_testdir
	dh_clean -k --exclude=temp
	dh_installdirs
	dh_testroot

	rsync -avr --exclude=examples debian/temp/etc/ debian/opennms-common/var/lib/opennms/etc-pristine/
	chmod -R go-w debian/opennms-common/var/lib/opennms/etc-pristine/

	mkdir -p debian/opennms-common/var/lib/opennms/web-inf-pristine/spring-security.d/
	rsync -avr --exclude=examples debian/temp/jetty-webapps/opennms/WEB-INF/spring-security.d/ debian/opennms-common/var/lib/opennms/web-inf-pristine/spring-security.d/
	cp debian/temp/jetty-webapps/opennms/WEB-INF/applicationContext-spring-security.xml debian/opennms-common/var/lib/opennms/web-inf-pristine/applicationContext-spring-security.xml
	cp debian/temp/jetty-webapps/opennms/WEB-INF/web.xml debian/opennms-common/var/lib/opennms/web-inf-pristine/web.xml
	cp debian/temp/etc/examples/jetty.xml debian/opennms-common/var/lib/opennms/web-inf-pristine/jetty.xml
	chmod -R go-w debian/opennms-common/var/lib/opennms/web-inf-pristine/
	
	##
	## Setup the alarm northbounders
	##
	install -d -m 755 debian/opennms-plugin-northbounder-jms/usr/share/java/opennms
	install -d -m 755 debian/opennms-plugin-northbounder-jms/etc/opennms
	install -d -m 755 debian/opennms-plugin-northbounder-jms/var/lib/opennms/etc-pristine
	mv debian/temp/lib/opennms-alarm-northbounder-jms-*.jar                                    debian/opennms-plugin-northbounder-jms/usr/share/java/opennms/
	mv debian/temp/etc/jms-northbounder-configuration.xml                                      debian/opennms-plugin-northbounder-jms/etc/opennms/
	mv debian/opennms-common/var/lib/opennms/etc-pristine/jms-northbounder-configuration.xml   debian/opennms-plugin-northbounder-jms/var/lib/opennms/etc-pristine/
	sed -e 's,@PACKAGE@,opennms-plugin-northbounder-jms,g' debian/package-permissions.sh > debian/opennms-plugin-northbounder-jms.postinst
	
	##
	## Setup the provision adapter packages
	##
	install -d -m 755 debian/opennms-plugin-provisioning-{dns,link,map,reverse-dns,snmp-asset,snmp-hardware-inventory,wsman-asset}/usr/share/java/opennms
	install -d -m 755 debian/opennms-plugin-provisioning-{link,map,snmp-asset,snmp-hardware-inventory,wsman-asset}/etc/opennms
	install -d -m 755 debian/opennms-plugin-provisioning-{link,map,snmp-asset,snmp-hardware-inventory,wsman-asset}/var/lib/opennms/etc-pristine
	mv debian/temp/lib/opennms-dns-provisioning-adapter*.jar                 debian/opennms-plugin-provisioning-dns/usr/share/java/opennms/
	mv debian/temp/lib/opennms-reverse-dns-provisioning-adapter*.jar         debian/opennms-plugin-provisioning-reverse-dns/usr/share/java/opennms/
	mv debian/temp/lib/opennms-snmp-asset-provisioning-adapter*.jar          debian/opennms-plugin-provisioning-snmp-asset/usr/share/java/opennms/
	mv debian/temp/lib/opennms-snmp-hardware-inventory-provisioning-adapter*.jar  debian/opennms-plugin-provisioning-snmp-hardware-inventory/usr/share/java/opennms/
	mv debian/temp/lib/opennms-wsman-asset-provisioning-adapter*.jar         debian/opennms-plugin-provisioning-wsman-asset/usr/share/java/opennms/
	mv debian/temp/etc/snmp-asset-adapter-configuration.xml                  debian/opennms-plugin-provisioning-snmp-asset/etc/opennms/
	mv debian/temp/etc/snmp-hardware-inventory-adapter-configuration.xml     debian/opennms-plugin-provisioning-snmp-hardware-inventory/etc/opennms/
	mv debian/temp/etc/wsman-asset-adapter-configuration.xml                 debian/opennms-plugin-provisioning-wsman-asset/etc/opennms/
	find debian/opennms-plugin*/etc/opennms -type f -execdir chmod 644 {} \;
	sed -e 's,@PACKAGE@,opennms-plugin-provisioning-dns,g' debian/package-permissions.sh > debian/opennms-plugin-provisioning-dns.postinst
	sed -e 's,@PACKAGE@,opennms-plugin-provisioning-link,g' debian/package-permissions.sh > debian/opennms-plugin-provisioning-link.postinst
	sed -e 's,@PACKAGE@,opennms-plugin-provisioning-map,g' debian/package-permissions.sh > debian/opennms-plugin-provisioning-map.postinst
	sed -e 's,@PACKAGE@,opennms-plugin-provisioning-reverse-dns,g' debian/package-permissions.sh > debian/opennms-plugin-provisioning-reverse-dns.postinst
	sed -e 's,@PACKAGE@,opennms-plugin-provisioning-snmp-asset,g' debian/package-permissions.sh > debian/opennms-plugin-provisioning-snmp-asset.postinst
	sed -e 's,@PACKAGE@,opennms-plugin-provisioning-snmp-hardware-inventory,g' debian/package-permissions.sh > debian/opennms-plugin-provisioning-snmp-hardware-inventory.postinst
	sed -e 's,@PACKAGE@,opennms-plugin-provisioning-wsman-asset,g' debian/package-permissions.sh > debian/opennms-plugin-provisioning-wsman-asset.postinst
	
	# etc-pristine version
	mv debian/opennms-common/var/lib/opennms/etc-pristine/snmp-asset-adapter-configuration.xml debian/opennms-plugin-provisioning-snmp-asset/var/lib/opennms/etc-pristine/
	mv debian/opennms-common/var/lib/opennms/etc-pristine/snmp-hardware-inventory-adapter-configuration.xml debian/opennms-plugin-provisioning-snmp-hardware-inventory/var/lib/opennms/etc-pristine/
	mv debian/opennms-common/var/lib/opennms/etc-pristine/wsman-asset-adapter-configuration.xml debian/opennms-plugin-provisioning-wsman-asset/var/lib/opennms/etc-pristine/
	
	##
	## Setup the protocol packages
	##
	install -d -m 755 debian/opennms-plugin-protocol-{cifs,nsclient,radius}/usr/share/java/opennms
	install -d -m 755 debian/opennms-plugin-protocol-{cifs,nsclient,radius}/etc/opennms
	install -d -m 755 debian/opennms-plugin-protocol-{cifs,nsclient,radius}/var/lib/opennms/etc-pristine
	install -d -m 755 debian/opennms-plugin-protocol-{cifs,nsclient,radius}/var/lib/opennms/xsds
	
	# Setup Juniper TCA collector
	install -d -m 755 debian/opennms-plugin-collector-juniper-tca/usr/share/java/opennms
	install -d -m 755 debian/opennms-plugin-collector-juniper-tca/etc/opennms
	install -d -m 755 debian/opennms-plugin-collector-juniper-tca/var/lib/opennms/etc-pristine
	install -d -m 755 debian/opennms-plugin-collector-juniper-tca/var/lib/opennms/xsds
	install -d -m 755 debian/opennms-plugin-collector-juniper-tca/etc/opennms/{datacollection,snmp-graph.properties.d}
